#!/bin/bash

# Makes symlinks to all.pdf files in the date/const directories

LC_ALL="C"

Ye=2021

mkdir constell
cd constell

#for C in Ori CMa Leo Crux Her Sco Sgr Cyg Gru Peg
for C in Ori Tau CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg

do

 echo $C
for MoDa in \
01-09 \
02-08 \
03-10 \
04-08 \
05-07 \
06-06 \
07-05 \
08-04 \
09-03 \
10-02 \
11-01 \
11-30 \
12-30


do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

  
  num=1
   if [ -f ../$MoNDa/$C/all.pdf ] 
   then
    echo $num
    ln -sf ../$MoNDa/$C/all.pdf $C$MoNDa.pdf
    num=$[$num+1]
   else 
    ls ../$MoNDa/$C/all.pdf
   fi
   

#  pdftk ?.pdf \
#   cat output ${C}${D}.pdf

#  rm  ?.pdf 
  
 done

done

cd ..
 
